Bug 497736 - Review Request: php-ezc-Mail - eZ Components Mail
Review Request: php-ezc-Mail - eZ Components Mail
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 12:55 EDT by Guillaume Kulakowski
Modified: 2014-09-02 09:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.6.1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 20:22:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-04-26 12:55:20 EDT
Mail is a part of eZ Components :
https://admin.fedoraproject.org/pkgdb/packages/name/php-channel-ezc

The component allows you construct and/or parse Mail messages conforming to
the mail standard. It has support for attachments, multipart messages and HTML
mail. It also interfaces with SMTP to send mail or IMAP, POP3 or mbox to
retrieve e-mail.


SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Mail.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Mail-1.6.1-2.fc10.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Mail-1.6.1-2.fc10.noarch.rpm

rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-ezc-Mail*               
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| Mail/*                      | 5.2.1   | 0 | date       | ...CTORY_SEPARATOR |
|                             |         |   | fileinfo   | __CLASS__          |
|                             |         |   | hash       | abstract           |
|                             |         |   | iconv      | catch              |
|                             |         |   | mcrypt     | implements         |
|                             |         |   | pcre       | instanceof         |
|                             |         |   | spl        | interface          |
|                             |         |   | zip        | private            |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
|                             |         |   |            | try                |
+-----------------------------+---------+---+------------+--------------------+
Comment 1 Remi Collet 2009-04-27 10:07:59 EDT
This package detect if fileinfo is present to guess the mine type of file.
It can also use a bundle trivial function, but "fileinfo" seems really better

Even if this is an optional dependency, I think you should add it (as it's available in Fedora : in php-pecl-Fileinfo, probably in php-common for 5.3.0)
Comment 3 Remi Collet 2009-04-29 12:35:13 EDT
REVIEW:

+ rpmlint is ok
php-ezc-Mail.src: I: checking
php-ezc-Mail.noarch: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines (new update)
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
81cb0b0f2e21508e54891ab1358379d4  Mail-1.6.1.tgz
+ Source URL ok
+ build  on F10.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2, php-channel(components.ez.no)) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ small documentation not required to run
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in mock (fedora-rawhide-x86_64)
+ no test suite
+ scriptlets ok
+ Final Requires ok
php-common >= 5.2.1
php-mcrypt  
php-pear(components.ez.no/Base) >= 1.6.1
php-pecl-Fileinfo  
+ Final Provides ok
php-pear(components.ez.no/Mail) = 1.6.1
php-ezc-Mail = 1.6.1-3.fc8

--------
APPROVED
--------
Comment 4 Guillaume Kulakowski 2009-04-29 16:15:05 EDT
New Package CVS Request
=======================
Package Name: php-ezc-Mail
Short Description: Construct and/or parse Mail messages conforming to the mail standard
Owners: llaumgui
Branches: F-9 F-10 F11
InitialCC:
Comment 5 Kevin Fenzi 2009-04-30 00:53:37 EDT
cvs done.
Comment 6 Fedora Update System 2009-05-01 11:36:02 EDT
php-ezc-Mail-1.6.1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-Mail-1.6.1-3.fc10
Comment 7 Fedora Update System 2009-05-01 11:36:06 EDT
php-ezc-Mail-1.6.1-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-ezc-Mail-1.6.1-3.fc9
Comment 8 Fedora Update System 2009-05-02 12:23:15 EDT
php-ezc-Mail-1.6.1-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php-ezc-Mail'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4089
Comment 9 Fedora Update System 2009-05-02 12:39:21 EDT
php-ezc-Mail-1.6.1-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-Mail'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4189
Comment 10 Fedora Update System 2009-05-12 20:22:51 EDT
php-ezc-Mail-1.6.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-12 20:26:28 EDT
php-ezc-Mail-1.6.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Guillaume Kulakowski 2010-08-29 05:09:38 EDT
Package Change Request
======================
Package Name: php-ezc-Mail  
New Branches: EL-6
Owners: llaumgui
Comment 13 Kevin Fenzi 2010-08-29 14:51:15 EDT
Git done (by process-git-requests).
Comment 14 Guillaume Kulakowski 2014-09-02 09:06:51 EDT
Package Change Request
======================
Package Name: php-ezc-Mail 
New Branches: EL-7
Owners: llaumgui
Comment 15 Gwyn Ciesla 2014-09-02 09:30:12 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.